### Hierarchy

- ITileContainer

### Implemented by

- TileContainer
- Tilemap

## Index

### Properties

- numTiles

### Methods

- addTile
- addTileAt
- addTiles
- contains
- getTileAt
- getTileIndex
- removeTile
- removeTileAt
- removeTiles
- setTileIndex
- swapTiles
- swapTilesAt

## Properties

### numTiles

numTiles: number

- Defined in lib/openfl/display/ITileContainer.d.ts:11

## Methods

### addTile

- addTile(tile: Tile): Tile

- - Defined in lib/openfl/display/ITileContainer.d.ts:15

  #### Parameters

  - ##### tile: Tile

  #### Returns Tile

### addTileAt

- addTileAt(tile: Tile, index: number): Tile

- - Defined in lib/openfl/display/ITileContainer.d.ts:16

  #### Parameters

  - ##### tile: Tile

  - ##### index: number

  #### Returns Tile

### addTiles

- addTiles(tiles: Array<Tile>): Array<Tile>

- - Defined in lib/openfl/display/ITileContainer.d.ts:17

  #### Parameters

  - ##### tiles: Array<Tile>

  #### Returns Array<Tile>

### contains

- contains(tile: Tile): boolean

- - Defined in lib/openfl/display/ITileContainer.d.ts:18

  #### Parameters

  - ##### tile: Tile

  #### Returns boolean

### getTileAt

- getTileAt(index: number): Tile

- - Defined in lib/openfl/display/ITileContainer.d.ts:19

  #### Parameters

  - ##### index: number

  #### Returns Tile

### getTileIndex

- getTileIndex(tile: Tile): number

- - Defined in lib/openfl/display/ITileContainer.d.ts:20

  #### Parameters

  - ##### tile: Tile

  #### Returns number

### removeTile

- removeTile(tile: Tile): Tile

- - Defined in lib/openfl/display/ITileContainer.d.ts:21

  #### Parameters

  - ##### tile: Tile

  #### Returns Tile

### removeTileAt

- removeTileAt(index: number): Tile

- - Defined in lib/openfl/display/ITileContainer.d.ts:22

  #### Parameters

  - ##### index: number

  #### Returns Tile

### removeTiles

- removeTiles(beginIndex?: number, endIndex?: number): void

- - Defined in lib/openfl/display/ITileContainer.d.ts:23

  #### Parameters

  - ##### Optional beginIndex: number

  - ##### Optional endIndex: number

  #### Returns void

### setTileIndex

- setTileIndex(tile: Tile, index: number): void

- - Defined in lib/openfl/display/ITileContainer.d.ts:24

  #### Parameters

  - ##### tile: Tile

  - ##### index: number

  #### Returns void

### swapTiles

- swapTiles(tile1: Tile, tile2: Tile): void

- - Defined in lib/openfl/display/ITileContainer.d.ts:25

  #### Parameters

  - ##### tile1: Tile

  - ##### tile2: Tile

  #### Returns void

### swapTilesAt

- swapTilesAt(index1: number, index2: number): void

- - Defined in lib/openfl/display/ITileContainer.d.ts:26

  #### Parameters

  - ##### index1: number

  - ##### index2: number

  #### Returns void

Generated using TypeDoc